## cl-xmls 3.0.2

=== Makefile ===
system		:= xmls
webhome_dir	:= /project/${system}/public_html/
webhome_private := common-lisp.net:${webhome_dir}
webhome_public	:= "http://common-lisp.net/project/${system}/"
sourceDirectory := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
webfiles	:= web-page/clnet-page.shtml web-page/styles.css README.html
ifeq (${user},)
userat :=
else
userat := ${user}@
endif
website:=${userat}common-lisp.net:/project/${system}/public_html/
version := $(shell cat "version.lisp-expr")
XMLSDIR := "${system}-$(version)"
TARBALL := "build/${XMLSDIR}.tar.gz"



.PHONY: archive publish-archive website publish-latest

archive: ;
	mkdir -p build
	svn export . build/$(XMLSDIR) 
	tar zcf ${TARBALL} -C build $(XMLSDIR)
	gpg -o ${TARBALL}.asc --sign ${TARBALL}
	md5sum --binary ${TARBALL} > ${TARBALL}.md5

# must be done after archive
publish-archive:
	$(eval GPGSIG := ${TARBALL}.asc)
	$(eval MD5SUM := ${TARBALL}.md5)
	rsync --times --chmod=a+rX,ug+w ${TARBALL} ${GPGSIG} ${MD5SUM}  ${website}

# must be done after archive
publish-latest:
	rsync --times --recursive --chmod=a+rX,ug+w build/${XMLSDIR} ${website}
	ssh common-lisp.net "cd ${webhome_dir}; ln -sf ${XMLSDIR} latest;"

website: ;
	rsync -lt --no-g ${webfiles} ${website}
	ssh common-lisp.net "cd ${webhome_dir}; cp clnet-page.shtml index.shtml;"

publish: archive publish-archive publish-latest website

clean:
	rm -r build

## cl-xmls 1.7.1

=== debian/changelog ===
cl-xmls (1.7.1-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove ${shlibs:Depends}, this is an arch:all package.
  * Remove Build-Depends on dh-lisp.
  * Remove obsolete README.building.
  * Use secure URL for Homepage.
  * d/watch: bump to format version 4; use secure URL.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 11 Apr 2018 12:39:47 +0200

cl-xmls (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Add upstream signature/key to watchfile/signin-key.asc
  * move to 3.0 (quilt) format
  * bump standards version
  * fix watchfile to cope with both .tar.gz and .tgz

 -- Christoph Egger <christoph@debian.org>  Sun, 03 May 2015 18:14:06 +0200

cl-xmls (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version 3.8.4 -> 3.9.2, no changes
  * Point Vcs-Git to git:// URL, add Vcs-Browser entry

 -- Christoph Egger <christoph@debian.org>  Sun, 26 Jun 2011 15:11:18 +0200

cl-xmls (1.3-1) unstable; urgency=low

  * New Upstream Release 
  * Upgrade to debian source 1.0
  * Add myself to uploaders
  * Upgrade standards-Version to 3.8.4 (no changes)
  * Set section from devel to lisp

 -- Christoph Egger <christoph@debian.org>  Sat, 26 Jun 2010 11:34:24 +0200

cl-xmls (1.2-3) unstable; urgency=low

  * Added README/building 
  * Now use debhelper v7
  * Use dh-lisp
  * Updated Standards-Version no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Sep 2009 09:40:43 +0100

cl-xmls (1.2-2) unstable; urgency=low

  * Changed to group maintanance
  * Added Vcs-Git control field
  * updated standard version without real changes
  * debhelper is Build-Depends
  * swap binary-arch and binary-indep
  * Added Homepage field

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Feb 2008 22:44:12 +0100

cl-xmls (1.2-1) unstable; urgency=low

  * New upstream

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 10 Oct 2005 10:29:24 +0200

cl-xmls (1.0-3) unstable; urgency=low

  * Now uses darcs
  * Updated standard version
  * rvb: Added watch file
  * rvb: changed debian/copyright

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  1 Aug 2005 22:43:30 +0200

cl-xmls (1.0-2) unstable; urgency=low

  * New maintainer. (Closes: #297418: O: cl-xmls -- XML Simple Parser
    for Common Lisp)
  * Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:19:57 +0100

cl-xmls (1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  4 Feb 2004 10:25:21 -0700

cl-xmls (0.5-2) unstable; urgency=low

  * New upstream
  * Build with new version of dpkg (closes:212058)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 24 Sep 2003 21:04:34 -0600

cl-xmls (0.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Jul 2003 09:33:20 -0600

cl-xmls (0.2-1) unstable; urgency=low

  * First upload

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Jun 2003 15:31:22 -0600

=== debian/control ===
Source: cl-xmls
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>> 7)
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-xmls.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-xmls
Homepage: https://common-lisp.net/project/xmls/
Standards-Version: 3.9.6

Package: cl-xmls
Architecture: all
Depends: ${misc:Depends}
Description: XML Simple Parser for Common Lisp
 XMLS provides a simple parser of XML that covers a very useful subset
 of XML.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	# Add here commands to install the package into debian/xmls.
	dh_installdirs usr/share/common-lisp/source/xmls
	dh_install xmls.asd $(shell echo *.lisp) usr/share/common-lisp/source/xmls


# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README.html
	dh_installexamples 
	dh_installchangelogs Changelog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://common-lisp.net/project/xmls/ xmls@ANY_VERSION@@ARCHIVE_EXT@

## cl-xmls 3.0.2

=== debian/changelog ===
cl-xmls (3.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump to debhelper compat level 12
  * Rewrite d/rules using dh
  * Rewrite d/copyright in machine-readable format 1.0
  * Expand long description
  * Remove upstream GPG key, the signature is not in detached format
  * Add Rules-Requires-Root: no
  * Add M-A: foreign
  * Bump to S-V 4.3.0
  * Add Depends on cl-flexi-streams and cl-ppcre, needed by xmls/octets
    system
  * Add Recommends on cl-fiveam, needed for the testsuite
  * Add autopkgtests that runs testsuite in sbcl, ecl and clisp

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Feb 2019 16:42:07 +0100

=== debian/control ===
Source: cl-xmls
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: debhelper-compat (= 12)
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-xmls.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-xmls
Homepage: https://common-lisp.net/project/xmls/
Standards-Version: 4.3.0
Rules-Requires-Root: no

Package: cl-xmls
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cl-flexi-streams,
         cl-ppcre
Recommends: cl-fiveam
Description: XML Simple Parser for Common Lisp
 XMLS is a small, simple, non-validating XML parser for Common Lisp.  It's
 designed to be a self-contained, easily embedded parser that recognizes a
 useful subset of the XML spec.  It provides a simple mapping from XML to Lisp
 structures or S-expressions and back.

## cl-xmls 3.2.0

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,7 @@
 
 archive: ;
 	mkdir -p build
-	svn export . build/$(XMLSDIR) 
-	tar zcf ${TARBALL} -C build $(XMLSDIR)
+	git archive --output ${TARBALL} --prefix 'xmls/' HEAD
 	gpg -o ${TARBALL}.asc --sign ${TARBALL}
 	md5sum --binary ${TARBALL} > ${TARBALL}.md5
 
@@ -30,6 +29,7 @@
 	$(eval GPGSIG := ${TARBALL}.asc)
 	$(eval MD5SUM := ${TARBALL}.md5)
 	rsync --times --chmod=a+rX,ug+w ${TARBALL} ${GPGSIG} ${MD5SUM}  ${website}
+	ssh common-lisp.net "cd ${webhome_dir}; ln -sf ${TARBALL} latest.tar.gz; ln -sf ${GPGSIG} latest.tar.gz.asc; ln -sf ${MD5SUM} latest.tar.gz.md5;"
 
 # must be done after archive
 publish-latest:

=== debian/changelog ===
cl-xmls (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Updated Standards-Version, no changes
  * Added debian/upstream/metadata

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 01 Dec 2024 12:01:36 +0100

cl-xmls (3.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 01 Dec 2024 11:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-xmls.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-xmls
 Homepage: https://common-lisp.net/project/xmls/
-Standards-Version: 4.3.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: cl-xmls

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:

override_dh_auto_clean:

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl, cl-fiveam
Restrictions: allow-stderr

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl, cl-fiveam
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-fiveam
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://common-lisp.net/project/xmls/ xmls@ANY_VERSION@@ARCHIVE_EXT@
